Classify
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"modelVariants": [],
"skipFeatureGeneration": true
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify"
payload = {
"modelVariants": [],
"skipFeatureGeneration": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({modelVariants: [], skipFeatureGeneration: true})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'modelVariants' => [
],
'skipFeatureGeneration' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify"
payload := strings.NewReader("{\n \"modelVariants\": [],\n \"skipFeatureGeneration\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"modelVariants\": [],\n \"skipFeatureGeneration\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"modelVariants\": [],\n \"skipFeatureGeneration\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"id": 12873488112,
"error": "<string>"
}Classify
Classifies all items in the dataset against the current impulse. Updates are streamed over the websocket API.
POST
/
api
/
{projectId}
/
jobs
/
classify
Classify
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"modelVariants": [],
"skipFeatureGeneration": true
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify"
payload = {
"modelVariants": [],
"skipFeatureGeneration": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({modelVariants: [], skipFeatureGeneration: true})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'modelVariants' => [
],
'skipFeatureGeneration' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify"
payload := strings.NewReader("{\n \"modelVariants\": [],\n \"skipFeatureGeneration\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"modelVariants\": [],\n \"skipFeatureGeneration\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/classify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"modelVariants\": [],\n \"skipFeatureGeneration\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"id": 12873488112,
"error": "<string>"
}Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Category to run model testing, or to retrieve results. If not provided, this will default to 'testing'.
Available options:
training, testing Body
application/json
Was this page helpful?